Summary: Classad handler for the Workload Management System
Name: glite-wms-classad_plugin
Version: %{extversion}
Release: %{extage}.%{extdist}
License: Apache Software License
Vendor: EMI
URL: http://glite.cern.ch/
Group: System Environment/Libraries
BuildArch: %{_arch}
BuildRequires: %{!?extbuilddir: glite-wms-common-devel, glite-build-common-cpp, }chrpath
BuildRequires: %{!?extbuilddir: glite-wms-utils-classad-devel,} libtool
BuildRequires: %{!?extbuilddir: glite-wms-ism-devel,} classads-devel
BuildRequires: %{!?extbuilddir: glite-lb-client-devel,} boost-devel
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
AutoReqProv: yes
Source: %{name}-%{version}-%{release}.tar.gz

%global debug_package %{nil}

%description
Classad handler for the Workload Management System

%prep
 

%setup -c -q

%build
%{!?extbuilddir:%define extbuilddir "--"}
if test "x%{extbuilddir}" == "x--" ; then
  ./configure --prefix=%{buildroot}/usr --disable-static PVER=%{version}
  make
fi 

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}
%{!?extbuilddir:%define extbuilddir "--"}
if test "x%{extbuilddir}" == "x--" ; then
  make install
else
  cp -R %{extbuilddir}/* %{buildroot}
fi
sed 's|^prefix=.*|prefix=/usr|g' %{buildroot}%{_libdir}/pkgconfig/wms-classad-plugin.pc > %{buildroot}%{_libdir}/pkgconfig/wms-classad-plugin.pc.new
mv %{buildroot}%{_libdir}/pkgconfig/wms-classad-plugin.pc.new %{buildroot}%{_libdir}/pkgconfig/wms-classad-plugin.pc
rm %{buildroot}%{_libdir}/*.la
chrpath --delete %{buildroot}%{_libdir}/libglite_wms_classad_plugin*.so.0.0.0
 

%clean
rm -rf %{buildroot}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%dir /usr/share/doc/glite-wms-classad_plugin-%{version}/
%doc /usr/share/doc/glite-wms-classad_plugin-%{version}/LICENSE
%{_libdir}/libglite_wms_classad_plugin.so.0
%{_libdir}/libglite_wms_classad_plugin.so.0.0.0
%{_libdir}/libglite_wms_classad_plugin_loader.so.0
%{_libdir}/libglite_wms_classad_plugin_loader.so.0.0.0


%package devel
Summary: Development files for the classad plugin
Group: System Environment/Libraries
Requires: %{name}%{?_isa} = %{version}-%{release}
Requires: glite-wms-common-devel, glite-wms-utils-classad-devel
Requires: glite-wms-ism-devel, glite-lb-client-devel
Requires: glite-build-common-cpp

%description devel
Development files for the classad plugin

%files devel
%defattr(-,root,root)
%dir /usr/include/glite/
%dir /usr/include/glite/wms/
%dir /usr/include/glite/wms/classad_plugin/
/usr/include/glite/wms/classad_plugin/classad_plugin_loader.h
%{_libdir}/libglite_wms_classad_plugin.so
%{_libdir}/libglite_wms_classad_plugin_loader.so
%{_libdir}/pkgconfig/wms-classad-plugin.pc


%changelog
* %{extcdate} WMS group <wms-support@lists.infn.it> - %{extversion}-%{extage}.%{extdist}
- %{extclog}

